## damapper 0.0+git20240314.b025cf9

=== Makefile ===
CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = damapper HPC.damapper

all: $(ALL)

damapper: damapper.c map.c map.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o damapper damapper.c map.c align.c DB.c QV.c -lpthread -lm

HPC.damapper: HPC.damapper.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPC.damapper HPC.damapper.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f damapper.tar.gz

install:
	cp $(ALL) ~/bin

package:
	make clean
	tar -zcf damapper.tar.gz README.md LICENSE *.h *.c Makefile

## damapper 0.0%2Bgit20210330.ab45103

=== debian/changelog ===
damapper (0.0+git20210330.ab45103-1) unstable; urgency=medium

  * New upstream version.
  * Standards-Version: 4.6.0 (routine-update)

 -- Shayan Doust <hello@shayandoust.me>  Sun, 17 Oct 2021 11:45:40 +0000

damapper (0.0+git20200322.b2c9d7f-3) unstable; urgency=medium

  * Team upload.
  * Do not hard code the build architecture compiler (thanks for the
    patch to Helmut Grohne)
    Closes: #974600

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 10:41:48 +0100

damapper (0.0+git20200322.b2c9d7f-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 09:02:02 +0100

damapper (0.0+git20200322.b2c9d7f-1) unstable; urgency=medium

  * Initial release (Closes: #968191)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Sun, 23 Aug 2020 23:55:32 +0530

=== debian/control ===
Source: damapper
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/damapper
Vcs-Git: https://salsa.debian.org/med-team/damapper.git
Homepage: https://github.com/thegenemyers/DAMAPPER
Rules-Requires-Root: no

Package: damapper
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: long read to reference genome mapping tool
 Recognised as the Damapper Library, this is a long read to reference
 genome mapping command line tool.
 .
 For a given reference database 'X' and read block 'Y', damapper produces
 the single file 'Y.X.las'. Each output file is sorted in order of the
 A-reads, and if a match is a chain of local alignments, then the LA's in
 the chain occur in increasing order of A-coordinates.
 .
 HPC.damapper writes a UNIX shell script to the standard output that maps
 every read in blocks <first> to <last> of database <reads> to a
 reference sequence <ref>. If <last> is missing then only the single
 block <first> is mapped, and if <first> is also missing then all blocks
 of the database are mapped.
 .
 This package contains the damapper and HPC.damapper binaries.

## damapper 0.0+git20200322.b2c9d7f

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/damapper
 Vcs-Git: https://salsa.debian.org/med-team/damapper.git
 Homepage: https://github.com/thegenemyers/DAMAPPER

## damapper 0.0+git20210330.ab45103

=== debian/changelog ===
damapper (0.0+git20210330.ab45103-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.6.2 (routine-update)
  * d/upstream/metadata: Add missing fields (Repository, Repository-Browse)
  * d/clean: Remove autogenerated bin directory (Closes: #1044221, #1049504)
  * d/patches: Fix blhc by adding LDFLAGS to Makefile and set Forwarded field
    to not-needed

 -- Lance Lin <lq27267@gmail.com>  Fri, 08 Dec 2023 19:45:50 +0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/damapper
 Vcs-Git: https://salsa.debian.org/med-team/damapper.git
 Homepage: https://github.com/thegenemyers/DAMAPPER

## damapper 0.0+git20240314.b025cf9

=== debian/changelog ===
damapper (0.0+git20240314.b025cf9-1) unstable; urgency=medium

  * New upstream version 0.0+git20240314.b025cf9
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * typo.patch: new: fix a typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 18:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: damapper
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders: Shayan Doust <hello@shayandoust.me>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/damapper
 Vcs-Git: https://salsa.debian.org/med-team/damapper.git
 Homepage: https://github.com/thegenemyers/DAMAPPER
